## ncurses 5.7+20081213-1.maemo1+0m5

=== debian/changelog ===
ncurses (5.7+20081213-1.maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika yrjola <ext-mika.2.yrjola@nokia.com>  Wed, 08 Apr 2009 16:34:51 +0300

ncurses (5.7+20081213-1.maemo1) unstable; urgency=low

  * New upstream release. Fixes: NB#109657.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Mon, 06 Apr 2009 11:33:38 +0300

ncurses (5.4-3.osso1) unstable; urgency=low

  * Added thumb. Fixes: NB#36727

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon,  7 Aug 2006 13:42:19 +0300

ncurses (5.4-3) unstable; urgency=low

  * Apply 20040313 and 20040320 patches from upstream
    (Closes: #237831, #227879).
  * Fix some remaining casts to "char" which need to be "signed char"
    (Closes: #237629, #237870, #238718).
  * Update Eterm terminfo entry to agree with the Debian practice of
    kbs=\177 (Closes: #237997).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 22 Mar 2004 16:12:36 -0500

ncurses (5.4-2) unstable; urgency=low

  * Oops, rebuild as non-native package.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 10 Mar 2004 15:00:31 -0500

ncurses (5.4-1) unstable; urgency=low

  * New upstream release (Closes: #230335, #236957).
  * Update to policy 3.6.1.0 (no changes required).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 10 Mar 2004 13:52:53 -0500

ncurses (5.3.20030719-5) unstable; urgency=low

  * Fix false dependency of ncurses-bin on lib64ncurses5 on sparc
    (Closes: #221174).
  * Update config.sub and config.guess (Closes: #221651).
  * Include wsvt25 and wsvt25m for knetbsd (Closes: #224172).
  * Include Eterm terminfo descriptions in ncurses-base (Closes: #227402).
  * Fix tack for standout != bold.  Half of this fix is already
    included upstream (Closes: #224443).
  * Print program name in tput error messages (Closes: #227586).
  * Update libncursesw5 to standard.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 16 Jan 2004 14:32:08 -0500

ncurses (5.3.20030719-4) unstable; urgency=low

  * Add missing build dependency for s390x (Closes: #210307).

 -- Daniel Jacobowitz <dan@debian.org>  Fri,  7 Nov 2003 14:05:42 -0500

ncurses (5.3.20030719-3) unstable; urgency=low

  * Apply patch from Thomas Dickey for a problem with the dl1 capability
    (Closes: #215805).
  * Cross-compile when building 64-bit libraries, since the S/390 build
    systems can not run s390x executables.
  * Correct a comment typo (Closes: #215806).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 20 Oct 2003 23:01:41 -0400

ncurses (5.3.20030719-2) unstable; urgency=low

  * Add 64-bit libraries for sparc64 (non-wide only) (Closes: #204418).
  * Clarified description for libncursesw5-dev (Closes: #204670).
  * Import upstream fix for Big5 display (Closes: #204889).

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 27 Aug 2003 21:15:11 -0400

ncurses (5.3.20030719-1) unstable; urgency=low

  * New upstream snapshot.
    - Includes GNU/FreeBSD support (Closes: #200397).
    - Warning fix for character array subscripts (Closes: #195732).
    - Update use of __attribute__ for C++ (Closes: #195230).
  * Move the Cygwin terminfo to ncurses-base.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 20 Jul 2003 15:22:51 -0400

ncurses (5.3.20030510-2) unstable; urgency=low

  * Bump shlibs version to 5.3.20030510-1 (Closes: #194633).
  * Move libncurses5-dbg and libncursesw5-dbg to libdevel also.
  * Install cons25 terminfo in ncurses-base for GNU/FreeBSD
    (Closes: #196232).

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 14 Jun 2003 11:52:47 -0400

ncurses (5.3.20030510-1) unstable; urgency=low

  * New upstream snapshot.
    - Includes fix for a duplicate initialization bug (Closes: #192267).
  * Make the argument to define_key a "const char" (Closes: #192860).
  * Change the sections of libncurses5-dev and libncursesw5-dev.
  * Add a terminfo file for the Hurd terminal.
  * Provide a static libncurses_g.a.  I can't provide a shared one
    without introducing an rpath, since it has the same soname as a
    non-debugging version.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 14 May 2003 13:15:10 -0400

ncurses (5.3.20021109-2) unstable; urgency=low

  * Update screen terminfo entry (Closes: #165222).
  * Fix a typo in tset (Closes: #171583).

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  4 Dec 2002 09:45:43 -0500

ncurses (5.3.20021109-1) unstable; urgency=low

  * New upstream version (Closes: #163512).
    - Thanks to Andreas for doing a lot of the grunt work.
    - Works around lameness in dpkg's build process (Closes: #165897).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 11 Nov 2002 14:58:33 -0500

ncurses (5.2.20020112a-8) unstable; urgency=low

  * Depend on libc-dev instead of libc6-dev (Closes: #145569).
  * Re-enable trace support in libncurses5-dbg (Closes: #146033).

 -- Daniel Jacobowitz <dan@debian.org>  Thu,  9 May 2002 17:46:11 -0400

ncurses (5.2.20020112a-7) unstable; urgency=low

  * Update screen terminfo from the screen package (Closes: #112826).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 29 Mar 2002 14:29:49 -0500

ncurses (5.2.20020112a-6) unstable; urgency=low

  * Add screen-bce terminfo (Closes: #138220).
  * Configure with --without-ada (Closes: #135024).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 18 Mar 2002 14:01:35 -0500

ncurses (5.2.20020112a-5) unstable; urgency=low

  * Fix documentation symlinks on upgrades (Closes: #134744).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 19 Feb 2002 17:26:49 -0500

ncurses (5.2.20020112a-4) unstable; urgency=low

  * Give all packages a common doc directory via symlinks.
  * Add a FAQ.
    - Document Print Screen on the console sending SIGQUIT
      (Closes: #53776).
    - Document ncurses applications resetting custom cursors
      (Closes: #55091).
    - Document the situation with Home and End
      (Closes: #131501, #89034, #98029, #107453, #107897, #116943,
       #119491, #130029, #99493).

