=== debian/control ===
Source: ncurses
Section: libs
Priority: standard
Build-Depends: quilt, debhelper (>= 3.0.23), libc6-dev-sparc64 [sparc], libc6-dev-s390x [s390], lib64gcc1 [sparc s390]
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Standards-Version: 3.6.1

Package: libncurses5
Architecture: any
Section: base
Priority: required
Depends: ${shlibs:Depends}
Description: Shared libraries for terminal handling
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.

Package: libncurses5-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libncurses5 (= ${Source-Version}), libc-dev
Conflicts: ncurses-dev, ncurses-developer, libncurses-dev
Replaces: ncurses-dev, ncurses-developer, libncurses-dev
Provides: libncurses-dev, ncurses-dev
Description: Developer's libraries and docs for ncurses
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.
 It also includes the libraries' man pages and other documentation.

Package: libncurses5-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libncurses5-dev (= ${Source-Version}), libncurses5 (= ${Source-Version})
Description: Debugging/profiling libraries for ncurses
 This package contains the debugging libraries for ncurses.

Package: libncursesw5
Architecture: any
Section: libs
Priority: standard
Depends: ${shlibs:Depends}
Description: Shared libraries for terminal handling (wide character support)
 This package contains the shared libraries necessary to run programs
 compiled with ncursesw, which includes support for wide characters.

Package: libncursesw5-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libncursesw5 (= ${Source-Version}), libc-dev
Suggests: libncurses5-dev
Description: Developer's libraries for ncursesw
 This package contains the header files, static libraries
 and symbolic links that developers using ncursesw will need.
 .
 This package includes support for wide characters.

Package: libncursesw5-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libncursesw5-dev (= ${Source-Version}), libncursesw5 (= ${Source-Version})
Description: Debugging/profiling libraries for ncurses
 This package contains the debugging libraries for ncursesw.
 .
 This package includes support for wide characters.

Package: lib64ncurses5
Architecture: sparc s390
Section: libs
Priority: optional
Depends: ${shlibs:Depends}
Description: Shared libraries for terminal handling (64-bit)
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.
 .
 This package supports the 64-bit ABI variant of your system's
 architecure.

Package: lib64ncurses5-dev
Architecture: sparc s390
Section: libdevel
Priority: optional
Depends: lib64ncurses5 (= ${Source-Version}), libncurses5-dev
Description: Developer's libraries for ncurses (64-bit)
 This package contains the header files, static libraries
 and symbolic links that developers using ncursesw will need.
 .
 This package supports the 64-bit ABI variant of your system's
 architecure.

Package: ncurses-bin
Architecture: any
Section: base
Priority: required
Essential: yes
Pre-Depends: ${shlibs:Depends}
Conflicts: ncurses, tput
Provides: tput
Description: Terminal-related programs and man pages
 This package contains the programs used for manipulating the terminfo
 database and individual terminfo entries, as well as some programs for
 resetting terminals and such.

Package: ncurses-base
Architecture: all
Section: base
Priority: required
Essential: yes
Conflicts: ncurses, ncurses-runtime
Provides: ncurses-runtime
Replaces: ncurses-term
Description: Descriptions of common terminal types
 This package contains what should be a reasonable subset of terminal
 definitions, including: ansi, dumb, linux, rxvt, screen, sun, vt100,
 vt102, vt220, vt52, and xterm.

Package: ncurses-term
Architecture: all
Section: admin
Priority: standard
Description: Additional terminal type definitions
 This package contains all of the terminal definitions not found in
 the ncurses-base package.  There are far too many to list here.
