## ncurses 5.7+20101128

=== debian/changelog ===
ncurses (5.7+20101128-1) experimental; urgency=low

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Clarify that infotocap, captoinfo and tic read text files and do
      not work with compiled terminfo files (Closes: #593920).
  * Remove dangling /usr/share/terminfo/k/kon2 symlink (Closes: #522435).
  * Add an ncurses-examples package containing the compiled test programs
    (Closes: #34182).  Stop shipping the sources in libncurses5-dev.
  * Move documentation and section 3 manpages to a new ncurses-doc package
    (Closes: #233400).  Suggest ncurses-doc in all -dev packages.
  * Register the documentation in doc-base (Closes: #451667).
  * Remove the rather useless README.Debian (Closes: #606034).
  * Move libtic libraries to /usr.
  * Tighten the dependencies of the lib{32,64}ncurses*-dev packages to their
    regular counterparts.
  * Provide symbols files in all library packages.
    - Use them to compute the dependencies of the other packages instead of
      messing around with local shlibs files.
  * Ship mlterm terminfo in ncurses-term (see #485448).
  * Ship curses and termcap symlinks in lib{32,64}ncurses5-dev (LP: #485118).
  * Add lintian override for the empty /usr/share/terminfo directory that
    was introduced in 5.7+20100313-2.
  * Stop building the test programs in every library build.
  * Fix non-idempotency of the install (and thus the binary) target in
    debian/rules introduced in 5.7+20100313-1.
  * Do not unnecessarily add /lib32 and /usr/lib32 to dh_shlibdeps' search
    path when calculating the dependencies of the 32-bit libraries.
  * Do not allow dh_shlibdeps to fail for the 64-bit libraries.
  * Drop most patches as obsolete or unused:
    - 09-fix-delscreen-segfault.diff, applied upstream.
    - 06-kfreebsd.diff, apparently no longer needed.
    - 03-linux-use-fsuid.diff, patched code that is not compiled if ncurses
      is configured with "--disable-termcap", as we do.
    - 01-use-d-reentrant.diff, no longer needed since all architectures moved
      away from LinuxThreads and Policy 3.9.1 has explicitly removed the need
      to #define _REENTRANT.
  * Refresh all remaining Debian patches and add DEP-3 headers to them.
  * Remove the fix for bug #127622 from 02-debian-backspace.diff,
    no longer needed.
  * Update patch 02-debian-backspace.diff to get kbs=\177 in all screen-*
    terminfo entries (Closes: #602300).
  * Drop the rather outdated screen terminfo from the debian directory and use
    the one provided by upstream's terminfo.src instead.
  * Get CFLAGS, CXXFLAGS and LDFLAGS from dpkg-buildflags, adding a build
    dependency on dpkg-dev (>= 1.15.7).
  * Switch to format 3.0 (quilt).
    - Remove quilt build dependency and patch/unpatch logic from debian/rules.
    - Drop debian/README.source.
  * Add a debian/watch file.
  * Extend the package descriptions.
  * Remove duplicate "Priority:" fields from debian/control.
  * Update debian/copyright:
    - Update FSF Copyright years.
    - Mention other copyright holders and licenses.
    - Give a pointer to the current location of the ncurses sources.
    - Stop mentioning Debian changes.
  * Upgrade Standards-Version to 3.9.1, no changes needed.

  [ Loïc Minier ]
  * Update patch 05-emdebian-wchar to apply cleanly.
  * Drop 08-pkg-config-libdir patch as dpkg >= 1.15.6 don't set
    PKG_CONFIG_LIBDIR anymore.

  [ Steve Langasek ]
  * Export LDFLAGS in debian/rules (Closes: #586144).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 Nov 2010 16:41:55 +0100

ncurses (5.7+20100313-4) unstable; urgency=low

  * New patch 09-fix-delscreen-segfault.diff taken from upstream
    patchlevel 20100501, fixes a segfault or infinite loop in applications
    using multiple screens (Closes: #597175).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 28 Sep 2010 07:08:17 +0200

ncurses (5.7+20100313-3) unstable; urgency=low

  * Fix dangling symlinks in ncurses-term that were introduced by the
    removal of the ncurses-base compatibility symlinks in version
    5.7+20100313-1 (Closes: #576127).  Add versioned Breaks against older
    ncurses-term versions in ncurses-base.
  * Correct rxvt-unicode sgr0 terminfo entry (Closes: #595484).

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 11 Sep 2010 21:13:00 +0200

ncurses (5.7+20100313-2) unstable; urgency=medium

  [ Sven Joachim ]
  * Disable rmm and smm features in xterm terminfo entry (see #574396).
  * Include an empty /usr/share/terminfo directory in ncurses-bin to
    ensure that configure scripts detect terminfo support (Closes: #575284).
  * Let libncurses5-dev and libncursesw5-dev depend on the same version of
    ncurses-bin to mitigate the impact of #480437.
  * Explicitly specify source format 1.0 (lintian warning).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 25 Mar 2010 14:13:38 +0100

ncurses (5.7+20100313-1) unstable; urgency=low

  [ Sven Joachim ]
  * New upstream patchlevel.
    - Workaround for bug in g++ 4.1-4.4 warnings for wattrset() macro
      on amd64 (Closes: #542031).
    - Fix typo in curs_mouse.3x (Closes: #429198).
    - Modify CF_MAN_PAGES configure macro to replace all occurrences of
      TPUT in tput.1's manpage (Closes: #573597).
    - Bump shlibs version, as there are several new symbols.
  * Remove patch introduced in 5.5-2, applied upstream. Remove patch
    introduced in version 5.7+20090627-1, no longer necessary.
  * Switch patch system to quilt.
    - Add a short debian/README.source as recommended by policy.
  * Configure with /usr/share/terminfo as default terminfo dir, so that
    we get the correct tabset directory (Closes: #509919, LP: #200773).
  * Update xterm terminfo entry from xterm 246 (Closes: #444250).
  * Derive xterm{16,256,88}-color from xterm-debian rather than
    xterm-new for correct backspace key behavior.
  * Move the debugging libraries back to /usr/lib/debug (Closes: #553239),
    ship detached debugging symbols (Closes: #532022).
  * Fix typo in debian/rules that lead to a dangling symlink in

