=== debian/control ===
Source: ncurses
Section: libs
Priority: required
Maintainer: Craig Small <csmall@debian.org>
Uploaders: Sven Joachim <svenjoac@gmx.de>
Build-Depends: debhelper (>= 7),
               dpkg-dev (>= 1.15.7),
               g++-multilib [amd64 i386 kfreebsd-amd64 powerpc ppc64 s390 sparc],
               libgpm-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/ncurses.git
Vcs-Git: git://git.debian.org/collab-maint/ncurses.git
Homepage: http://invisible-island.net/ncurses/

Package: libncurses5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgpm2 [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386]
Description: shared libraries for terminal handling
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.

Package: libncurses5-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libncurses5 (= ${binary:Version}), ncurses-bin (= ${binary:Version}),
	 libc-dev, ${misc:Depends}
Conflicts: ncurses-dev, libncurses-dev
Replaces: ncurses-dev, libncurses-dev
Provides: libncurses-dev, ncurses-dev
Suggests: ncurses-doc
Description: developer's libraries for ncurses
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.

Package: libncurses5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, libncurses5-dev (= ${binary:Version}), ${misc:Depends}
Description: debugging/profiling libraries for ncurses
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains special library versions of ncurses suitable
 for debugging and profiling. Also included are detached debugging
 symbols for libncurses5.

Package: libncursesw5
Architecture: any
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgpm2 [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386]
Description: shared libraries for terminal handling (wide character support)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncursesw, which includes support for wide characters.

Package: libncursesw5-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libncursesw5 (= ${binary:Version}), ncurses-bin (= ${binary:Version}),
	 libc-dev, ${misc:Depends}
Suggests: ncurses-doc
Description: developer's libraries for ncursesw
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncursesw will need.
 .
 This package includes support for wide characters.

Package: libncursesw5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, libncursesw5-dev (= ${binary:Version}), ${misc:Depends}
Description: debugging/profiling libraries for ncursesw
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains special library versions of ncursesw suitable
 for debugging and profiling. Also included are detached debugging
 symbols for libncursesw5.
 .
 This package includes support for wide characters.

Package: lib64ncurses5
Architecture: i386 powerpc sparc s390
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amd64-libs (<= 1.2)
Description: shared libraries for terminal handling (64-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.
 .
 This package supports the 64-bit ABI variant of your system's
 architecure.

Package: lib64ncurses5-dev
Architecture: i386 powerpc sparc s390
Section: libdevel
Priority: optional
Depends: lib64ncurses5 (= ${binary:Version}),
	 libncurses5-dev (= ${binary:Version}), lib64c-dev, ${misc:Depends}
Suggests: ncurses-doc
Replaces: amd64-libs-dev (<= 1.2)
Description: developer's libraries for ncurses (64-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.
 .
 This package supports the 64-bit ABI variant of your system's
 architecure.

Package: lib32ncurses5
Architecture: amd64 ppc64
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libc6-i386 (<= 2.9-18)
Replaces: ia32-libs (<< 1.10)
Description: shared libraries for terminal handling (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncurses.
 .
 This package supports the 32-bit ABI variant of your system's
 architecure.

Package: lib32ncurses5-dev
Architecture: amd64 ppc64
Section: libdevel
Priority: optional
Depends: lib32ncurses5 (= ${binary:Version}),
	 libncurses5-dev (= ${binary:Version}), lib32c-dev, ${misc:Depends}
Suggests: ncurses-doc
Conflicts: libc6-i386 (<= 2.9-18)
Description: developer's libraries for ncurses (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncurses will need.
 .
 This package supports the 32-bit ABI variant of your system's
 architecure.

Package: lib32ncursesw5
Architecture: amd64 ppc64
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libc6-i386 (<= 2.9-18)
Description: shared libraries for terminal handling (wide character support) (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the shared libraries necessary to run programs
 compiled with ncursesw, which includes support for wide characters.
 .
 This package supports the 32-bit ABI variant of your system's
 architecure.

Package: lib32ncursesw5-dev
Architecture: amd64 ppc64
Section: libdevel
Priority: optional
Depends: lib32ncursesw5 (= ${binary:Version}),
	 libncursesw5-dev (= ${binary:Version}), lib32c-dev, ${misc:Depends}
Conflicts: libc6-i386 (<= 2.9-18)
Suggests: ncurses-doc
Description: developer's libraries for ncursesw (32-bit)
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the header files, static libraries
 and symbolic links that developers using ncursesw will need.
 .
 This package includes support for wide characters.
 This package supports the 32-bit ABI variant of your system's
 architecure.

Package: ncurses-bin
Architecture: any
Section: utils
Essential: yes
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Description: terminal-related programs and man pages
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains the programs used for manipulating the terminfo
 database and individual terminfo entries, as well as some programs for
 resetting terminals and such.

Package: ncurses-base
Architecture: all
Section: utils
Essential: yes
Depends: ${misc:Depends}
Conflicts: ncurses, ncurses-runtime
Provides: ncurses-runtime
Breaks: ncurses-term (<< 5.7+20100313-3)
Description: basic terminal type definitions
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains terminfo data files to support the most common types of
 terminal, including ansi, dumb, linux, rxvt, screen, sun, vt100, vt102, vt220,
 vt52, and xterm.

Package: ncurses-term
Architecture: all
Section: admin
Priority: standard
Depends: ${misc:Depends}
Replaces: ncurses-base (<< 5.7+20100313-1), mlterm-common (<< 3.0.1-4)
Breaks: mlterm-common (<< 3.0.1-4)
Description: additional terminal type definitions
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains all of the numerous terminal definitions not found in
 the ncurses-base package.

Package: ncurses-examples
Architecture: any
Section: misc
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: test programs and examples for ncurses
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains programs demonstrating the possibilities of
 ncurses and testing the library. The examples include an
 analog/digital clock and several classic programs such as solitaire,
 battleships, a knight's tour on a chess board, the towers of Hanoi
 and several others.

Package: ncurses-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Replaces: libncurses5-dev (<< 5.7+20101128)
Description: developer's guide and documentation for ncurses
 The ncurses library routines are a terminal-independent method of
 updating character screens with reasonable optimization.
 .
 This package contains an introduction to writing programs with
 ncurses a guide to the internals of the ncurses library.  It also
 includes the libraries' man pages.
 .
 Non-developers likely have little use for this package.
